function [count,pid,newPoints,newMRNAs] = RefiningDataMRNA()
clc;
clear all;
all_value=[];

% plotDir=pwd;
% plotDirTemp = strcat(plotDir,'/IMAGE/KM/');
% mkdir(plotDirTemp);
   
[data1, str1] = xlsread('./mRNA/42/mRNA-BL.xlsx','Data-BL-17987');
[data2, str2] = xlsread('./mRNA/42/mRNA-BL.xlsx','mRNA-N');
data=[data1 data2];
points=data';
[n d]=size(points);
%mirnaTemp=str1(:,1);
%points=(2.^data1)-1;
pid1=str1(1,:)';
pid2=str2(1,2:size(data2,2)+1)';
pid=[pid1;pid2];

mrnaTemp=str1(:,1);
mrnas=mrnaTemp(2:d+1,1);
points_all=zeros(n,1);
count=1;
%fid = fopen( 'newData-BL.csv', 'w' );
for i=1:d
    a=length(find(points(:,i)==0));
    if((a/n)<0.01)
        newPoints(:,count)=points(:,i);
        newMRNAs(:,count)=str1(i+1,1);
       % fprintf( fid, '%s,%s,%d\n', strs, p );
        count=count+1;
    end
end 

%fclose(fid);    
xlswrite('./mRNA/42/mRNA-BL.xlsx',pid,'mRNA-BL-N','A1'); 
xlswrite('./mRNA/42/mRNA-BL.xlsx',newMRNAs,'mRNA-BL-N','B1'); 
xlswrite('./mRNA/42/mRNA-BL.xlsx',newPoints,'mRNA-BL-N','B2');  
end
